Bug 236701 - AssertionError at com.sun.tools.javac.comp.Lower.classOfType
AssertionError at com.sun.tools.javac.comp.Lower.classOfType
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
7.4
All All
: P1 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 13:52 UTC by Maria Tishkova
Modified: 2017-04-12 02:03 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.94 KB, text/plain)
2013-10-03 13:52 UTC, Maria Tishkova
Details
stacktrace (7.17 KB, text/plain)
2015-09-21 08:21 UTC, stefan79
Details
stacktrace (6.39 KB, text/plain)
2016-08-05 14:04 UTC, Vladimir Voskresensky
Details
stacktrace (6.55 KB, text/plain)
2016-09-23 09:25 UTC, Vladimir Voskresensky
Details
stacktrace (6.55 KB, text/plain)
2016-10-10 13:13 UTC, Tomas Mysik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maria Tishkova 2013-10-03 13:52:13 UTC
This bug was originally marked as duplicate of bug 210651, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 7.4 Beta (Build 201307092200)
VM: Java HotSpot(TM) Client VM, 23.21-b01, Java(TM) SE Runtime Environment, 1.7.0_21-b11
OS: SunOS

User Comments:
mromashova: Just compiled netbeans module




Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.comp.Lower.classOfType(Lower.java:2125)
   at com.sun.tools.javac.comp.Lower.assertFlagTest(Lower.java:2162)
   at com.sun.tools.javac.comp.Lower.visitAssert(Lower.java:2916)
   at com.sun.tools.javac.tree.JCTree$JCAssert.accept(JCTree.java:1430)
   at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
   at com.sun.tools.javac.comp.Lower.translate(Lower.java:2296)
Comment 1 Maria Tishkova 2013-10-03 13:52:17 UTC
Created attachment 140761 [details]
stacktrace
Comment 2 stefan79 2015-09-21 08:21:03 UTC
Created attachment 156312 [details]
stacktrace

Navigated in Java-Source-File.
Comment 3 Vladimir Voskresensky 2016-08-05 14:04:28 UTC
Created attachment 161568 [details]
stacktrace

working with clank_ast branch
Comment 4 Vladimir Voskresensky 2016-09-23 09:25:03 UTC
Created attachment 162183 [details]
stacktrace

reopened IDE with clean cachedir and some broken files in clank.ast
Comment 5 Tomas Mysik 2016-10-10 13:13:25 UTC
Created attachment 162429 [details]
stacktrace

browsing sources of java library?
Comment 6 Vladimir Voskresensky 2017-04-03 23:05:36 UTC
All clank modules are red...
Comment 7 Vladimir Voskresensky 2017-04-03 23:05:53 UTC
Product Version: NetBeans IDE Dev (Build 20170404-1a8b3f27d2c0)
Java: 1.8.0_121; Java HotSpot(TM) 64-Bit Server VM 25.121-b13
Runtime: Java(TM) SE Runtime Environment 1.8.0_121-b13
System: Linux version 3.16.0-38-generic running on amd64; UTF-8; en_US (nb)
Comment 8 Vladimir Voskresensky 2017-04-04 09:21:49 UTC
helped downgrading NB to 
Product Version: NetBeans IDE Dev (Build 20170330-4b52b90c78e2)
Java: 1.8.0_121; Java HotSpot(TM) 64-Bit Server VM 25.121-b13
Runtime: Java(TM) SE Runtime Environment 1.8.0_121-b13
System: Linux version 3.16.0-38-generic running on amd64; UTF-8; en_US (nb)

Hope it helps to find regression cause
Comment 9 Dusan Balek 2017-04-06 13:58:23 UTC
Fixed in jet-main. Thanks Vladimir for reproducible test case.

http://hg.netbeans.org/jet-main/rev/31c9ffc72e86
http://hg.netbeans.org/main/nb-javac/rev/e496bd931b8e
Comment 10 Vladimir Voskresensky 2017-04-06 15:18:21 UTC
Thanks Dusan for fixing this stopper!
Comment 11 Quality Engineering 2017-04-12 02:03:53 UTC
Integrated into 'main-silver', will be available in build *201704120002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/31c9ffc72e86
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #236701 - AssertionError at com.sun.tools.javac.comp.Lower.classOfType - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo